### org.jfree.layouting.renderer.border

# Class Border

- `java.lang.Object`
- - `org.jfree.layouting.renderer.border.Border`

Implemented Interfaces:
  Cloneable

`public class Border`
`extends java.lang.Object`
`implements Cloneable`

A border is a split-supporting component that contains five border edges (top,left, bottom, right, split). The split-border is not used for rendering, it is meant to replace the other borders on inner split-edges.

The border object itself is immutable. During a split operation, new borders have to be created.

The border-radius defines the corner-rounding that might take place. This defines the applicable background area of the content box. (Round rects never cause the background to overlap the border, the corner space that lies outside the rounded corners will not receive the background.)

The radius *must* be normalized; the sum of the radius sizes for a single edge must not exceed the edge's total size. (Ex: height >= (topLeftRadius.getHeight() + bottomLeftRadius.getHeight()). If the height is smaller as the radius, reduce the radius until both sizes fit.

Author:
  Thomas Morgner

  ## Constructor Summary

  `Border(BorderEdge top, BorderEdge left, BorderEdge bottom, BorderEdge right, BorderEdge splittingEdge, BorderCorner topLeft, BorderCorner topRight, BorderCorner bottomLeft, BorderCorner bottomRight)`

  ## Method Summary

  `Object`

  `clone()`

  `static Border`

  `createEmptyBorder()`

  `BorderEdge`

  `getBottom()`

  `BorderCorner`

  `getBottomLeft()`

  `BorderCorner`

  `getBottomRight()`

  `BorderEdge`

  `getLeft()`

  `BorderEdge`

  `getRight()`

  `BorderEdge`

  `getSplittingEdge()`

  `BorderEdge`

  `getTop()`

  `BorderCorner`

  `getTopLeft()`

  `BorderCorner`

  `getTopRight()`

  `boolean`

  `isEmpty()`

  `Border[]`

  `splitHorizontally(Border[] borders)`

  `Border[]`

  `splitVertically(Border[] borders)`

## Constructor Details

### Border

    public Border(BorderEdge top,
                  BorderEdge left,
                  BorderEdge bottom,
                  BorderEdge right,
                  BorderEdge splittingEdge,
                  BorderCorner topLeft,
                  BorderCorner topRight,
                  BorderCorner bottomLeft,
                  BorderCorner bottomRight)

## Method Details

### clone

    public Object clone()

### createEmptyBorder

    public static Border createEmptyBorder()

### getBottom

    public BorderEdge getBottom()

### getBottomLeft

    public BorderCorner getBottomLeft()

### getBottomRight

    public BorderCorner getBottomRight()

### getLeft

    public BorderEdge getLeft()

### getRight

    public BorderEdge getRight()

### getSplittingEdge

    public BorderEdge getSplittingEdge()

### getTop

    public BorderEdge getTop()

### getTopLeft

    public BorderCorner getTopLeft()

### getTopRight

    public BorderCorner getTopRight()

### isEmpty

    public boolean isEmpty()

### splitHorizontally

    public Border[] splitHorizontally(Border[] borders)

### splitVertically

    public Border[] splitVertically(Border[] borders)